Package com.orchestranetworks.userservice.declaration

# Interface ActivationContextWithSchemaNodeSet<S extends TableEntitySelection>

Type Parameters:
  `S` - Defined by the sub-interface to specify the type of entity selection associated with the declared user service.

All Superinterfaces:
  `ActivationContext<S>`, `ActivationContextWithDatasetSet<S>`, `DatasetSet`, `DataspaceSet`

All Known Subinterfaces:
  `ActivationContextOnAssociation`, `ActivationContextOnAssociationRecord`, `ActivationContextOnHierarchy`, `ActivationContextOnHierarchyNode`, `ActivationContextOnRecord`, `ActivationContextOnTableView`

public interface ActivationContextWithSchemaNodeSet<S extends TableEntitySelection> extends ActivationContextWithDatasetSet<S>
Provides common methods for activation contexts based on a set of schema nodes.

Since:
  5.8.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.schema.types.dataset.DatasetSet

  `DatasetSet.DatasetChildrenPolicy`

  ## Nested classes/interfaces inherited from interface com.orchestranetworks.schema.types.dataspace.DataspaceSet

  `DataspaceSet.DataspaceChildrenPolicy, DataspaceSet.DataspaceType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `excludeSchemaNodesMatching(Path... paths)`
  From the schema nodes set created thanks to the include methods, excludes schema nodes that match one of the given paths.
  `void`
  `excludeSchemaNodesMatching(Pattern aPattern)`
  From the schema nodes set created thanks to the include methods, excludes some schema nodes from the previously set designed by the includes.
  `void`
  `includeAllSchemaNodes()`
  Includes all the schema nodes to the result schema nodes set.
  `void`
  `includeSchemaNodesMatching(Path... paths)`
  Includes schema nodes that match one of the given paths.
  `void`
  `includeSchemaNodesMatching(Pattern aPattern)`
  Includes all the schema nodes that match the given pattern to the result schema nodes set.

  ### Methods inherited from interface com.orchestranetworks.userservice.declaration.ActivationContext

  `getAvailableToolbarLocations, setDefaultPermission, setDisplayForAllLocations, setDisplayForLocations, setPermissionRule`

  ### Methods inherited from interface com.orchestranetworks.userservice.declaration.ActivationContextWithDatasetSet

  `getDataModelRootNode, setActivationRule`

  ### Methods inherited from interface com.orchestranetworks.schema.types.dataset.DatasetSet

  `excludeDatasetsMatching, excludeDatasetsMatching, includeAllDatasets, includeDatasetsMatching, includeDatasetsMatching`

  ### Methods inherited from interface com.orchestranetworks.schema.types.dataspace.DataspaceSet

  `excludeDataspacesMatching, excludeDataspacesMatching, includeAllDataspaces, includeDataspacesMatching, includeDataspacesMatching, setIgnoreDataspacesDefaultExcludes`

- ## Method Details

  - ### includeAllSchemaNodes

    void includeAllSchemaNodes()
    Includes all the schema nodes to the result schema nodes set.

    Nevertheless, it is still possible to exclude an enclosing set of schema nodes thanks to the method `excludeSchemaNodesMatching(Pattern)`.

  - ### includeSchemaNodesMatching

    void includeSchemaNodesMatching(Pattern aPattern)
    Includes all the schema nodes that match the given pattern to the result schema nodes set.

    Nevertheless, it is still possible to exclude an enclosing set of schema nodes thanks to the method `excludeSchemaNodesMatching(Pattern)`.

    Parameters:
      `aPattern` - the pattern that the schema node must match

  - ### includeSchemaNodesMatching

    void includeSchemaNodesMatching(Path... paths)
    Includes schema nodes that match one of the given paths.
    Parameters:
      `paths` - the list of schema node paths

  - ### excludeSchemaNodesMatching

    void excludeSchemaNodesMatching(Pattern aPattern)
    From the schema nodes set created thanks to the include methods, excludes some schema nodes from the previously set designed by the includes.
    Parameters:
      `aPattern` - the pattern that will be applied
    See Also:
      - `includeSchemaNodesMatching(Path...)`
      - `includeSchemaNodesMatching(Pattern)`

  - ### excludeSchemaNodesMatching

    void excludeSchemaNodesMatching(Path... paths)
    From the schema nodes set created thanks to the include methods, excludes schema nodes that match one of the given paths.
    Parameters:
      `paths` - the list of schema node paths
    See Also:
      - `includeSchemaNodesMatching(Path...)`
      - `includeSchemaNodesMatching(Pattern)`